Subject: bug#51556: 29.0.50; Poor contrast of Customize SVG icons with dark backgrounds

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Nov 2021 14:49:56 +0200

> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> Date: Mon, 1 Nov 2021 13:49:40 -0700
> 
> >> On darker themes (e.g. modus-vivendi), the Customize SVG icons
> >> (etc/images/right.svg and etc/images/down.svg) are not very visible, due
> >> to the poor contrast between their fill color (#2e3436) and dark
> >> backgrounds[1].
> > 
> > That's for the themes to resolve, isn't it?  They could supply their
> > own icons, because only they know which colors will go well with the
> > theme's colors.
> 
> The method suggested in the original report (see below) would allow for 
> themes to do this by customizing the appropriate face, wouldn't it? That 
> seems like a simpler way for themes to apply the appropriate colors.

AFAIK, only the background color of the face will affect the display,
and that is not enough.  Since a theme determines the looks, it should
also control the icons where that matters.